using Hcs.Broker;
using Hcs.Broker.MessageCapturer;
using Hcs.Broker.Mock;
using Hcs.WebApp.Config;

namespace Hcs.WebApp.Services
{
    public class MockClientProvider : IClientProvider
    {
        public IClient CreateClient(BrokerConfig config, Broker.Logger.ILogger logger, IMessageCapturer messageCapturer)
        {
#if USE_MOCK
            return new MockClient();
#else
            return null;
#endif
        }
    }
}
